Home

Get Shard Block Proof

GET
https://ton.nownodes.io/getShardBlockProof

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get merkle proof of shardchain block.

Parameters

workchainintegerrequiredquery

Block workchain id

shardintegerrequiredquery

Block shard id

seqnointegerrequiredquery

Block seqno

from_seqnointegerquery

Seqno of masterchain block starting from which proof is required. If not specified latest masterchain block is used.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout